<configs>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Drink Buffs:
	Reactivated Yucca Juice & Snowberry Juice with Heat & Cold protection, but now with equal negative
	effects.  Also changed stack type to duration to allow for time stacking per use.
	
	Changed Stack Type for Mega Crush to duration. Also fixed bad links to Localization.txt file.
	
	Changed Stack Type for Red Tea to duration.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<append xpath="/buffs">
	<buff name="buffSnowberryJuice" name_key="drinkSnowberryJuice" description_key="drinkSnowberryJuiceDesc" icon="ui_game_symbol_coffee" tags="drug">
		<stack_type value="duration"/>
		<duration value="420"/>
		<effect_group>
			<passive_effect name="HypothermalResist" operation="base_add" value="15"/>
			<passive_effect name="HyperthermalResist" operation="base_add" value="-15"/>
		</effect_group>
	</buff>
</append>

<remove xpath="/buffs/buff[@name='buffYuccaJuiceCooling']" />
<append xpath="/buffs" >
	<buff name="buffYuccaJuiceCooling" name_key="buffYuccaJuiceCoolingName" description_key="buffYuccaJuiceCoolingDesc" icon="ui_game_symbol_cold" tags="drug">
		<stack_type value="duration"/>
		<duration value="420"/>
		<effect_group>
			<passive_effect name="HypothermalResist" operation="base_add" value="-15"/>
			<passive_effect name="HyperthermalResist" operation="base_add" value="15"/>
		</effect_group>
	</buff>
</append>

<remove xpath="/buffs/buff[@name='buffMegaCrush']" />
<insertAfter xpath="/buffs/buff[@name='buffBeer']" >
	<buff name="buffMegaCrush" name_key="megaCrushBuffName" description_key="megaCrushBuffDesc" tooltip_key="megaCrushBuffTooltip" icon="ui_game_symbol_pills" tags="drug">
		<stack_type value="duration"/>
		<duration value="120"/>
		<effect_group>
			<passive_effect name="RunSpeed" operation="perc_add" value=".5"/>
			<passive_effect name="WaterLossPerStaminaPointGained" operation="perc_add" value="1.2"/> <!-- regening stamina costs you water -->
			<passive_effect name="StaminaLossMaxMult" operation="perc_add" value="1.2"/> <!-- regening stamina costs food, blacks out the stamina bar -->
		</effect_group>
	</buff>
</insertAfter>

<append xpath="/buffs/buff[@name='buffRedTea']">
	<stack_type value="duration"/>
</append>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Camp Fire Trap:
	Increased burning environment damage from 1 to 8. This affects the campfire burn damage and can be used
	to create campfire traps that burn and kill zombies reasonablly fast.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<remove xpath="/buffs/buff[@name='buffBurningEnvironmentHack']" />
<insertAfter xpath="/buffs/buff[@name='buffBurningEnvironment']" >
	<buff name="buffBurningEnvironmentHack" hidden="true"> <!-- rename to "buffBurningEnvironment" when blocks proc buffs correctly -->
		<damage_type value="heat"/>
		<stack_type value="replace"/>
		<duration value="2"/>
		<effect_group>
			<triggered_effect trigger="onSelfBuffStart" action="ModifyCVar" cvar="$BurningEnvironmentCounter" operation="set" value="0"/>
			<triggered_effect trigger="onSelfBuffStack" action="ModifyCVar" cvar="$BurningEnvironmentCounter" operation="add" value="1"/>
			<passive_effect name="WaterChangeOT" operation="base_subtract" value="1"/>
			<passive_effect name="HypothermalResist" operation="base_add" value="30"/>
			<passive_effect name="HyperthermalResist" operation="base_add" value="-10"/>
		</effect_group>
		<effect_group>
			<requirement name="CVarCompare" cvar="$BurningEnvironmentCounter" operation="GTE" value="5"/>
				<triggered_effect trigger="onSelfBuffUpdate" action="AddBuff" buff="buffIsOnFire"/>
				<triggered_effect trigger="onSelfBuffStack" action="AddBuff" buff="buffIsOnFire"/>
				<passive_effect name="HealthChangeOT" operation="base_subtract" value="8"/>
		</effect_group>
	</buff>
</insertAfter>
</configs>